2 gllstc gllstc 于 2016.03.24 10:54 提问

Jquery不同版本之间该如何比较差异

公司里的一个系统,用了很多不同的定制版的jquery.js,然而以前的开发者都已经离职,所以造就了很多不同的文件夹里有很多jquery,如果引用不当,会造成大量的样式错乱,或者很多的脚本不能用,现在公司想要统一一个Jquery,任务就落到我头上了。。无从下手,不懂该怎么比较或者解决,请大神们帮忙

1个回答

showbo
showbo   Ds   Rxr 2016.03.24 17:58
已采纳

这个得看代码了。。jq1.6+加了个prop,和低版本的attr有一定区别,用错会导致代码有bug。统一的时候你要注意代码都有什么,不是直接换类库就行的,还得改一些不兼容代码。还有兼容性问题,2+不再支持ie8-

gllstc
gllstc 回复无聊码农: 好的,谢谢
一年多之前 回复
showbo
showbo 回复gllstc: 自己看下升级记录。。然后对比下别人用的jquery代码都用了什么,改为你那个版本的,如1.4的live,1.5+好像是不支持了
一年多之前 回复
gllstc
gllstc 我是不是得把jquery理解一遍啊,
一年多之前 回复
Csdn user default icon
上传中...
上传图片
插入图片
准确详细的回答,更有利于被提问者采纳,从而获得C币。复制、灌水、广告等回答会被删除,是时候展现真正的技术了!